Skip to main content
Query asynchronous job requests
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

Only summary count is required.

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

jobStatus
integer<int32>

status of the job.

projectName
string

project name.

namePattern
string

name pattern of the job.

Response

A successful response.

Returned list of jobs matched by filter criteria

summaryByState
Summary is used to store the Summary details · object

Summary information about job list records.

list
config required for job ops · object[]

Details of job list records.

next
Cursor is used as filter in list operation. · object

Returned record page.